function Ajax_Loading(message) {
    if (message) {
        $("#loading-layer-text").html(message);
    }
    var setX = ($(window).width() - $("#loading-layer").width()) / 2;
    var setY = ($(window).height() - $("#loading-layer").height()) / 2;
    $("#loading-layer").css({
        left: setX + "px",
        top: setY + "px",
        position: 'fixed',
        zIndex: '99'
    });
    $("#loading-layer").fadeTo('slow', 0.6);
};

function Ajax_close(message) {
    $("#loading-layer").fadeOut('slow');
};

function Alert_popup(message, title) {
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "</div>");
    $('#bepopup').dialog({
        autoOpen: true,
        width: 470,
        buttons: {
            "Ok": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
            }
        }
    });
};

function doDelete(action, id) {
    if (action == 'questions') {
        BEconfirm('Вы действительно хотите удалить этот Вопрос/Ответ?', 'Подтверждение', function () {
            $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'delete_questions',
                id: id,
                hash: login_hash
            }, function (data) {
                if (data == 'ok') {
                    $("#" + id).remove();
                    Alert_popup('Вопрос/Ответ удален.', 'Информация')
                } else if (data == 'die') {
                    Alert_popup('Обнаружена ошибка.', 'Информация');
                }
            });
        });
    } else if (action == 'moderator') {
        BEconfirm('Вы действительно хотите удалить этого модератора?', 'Подтверждение', function () {
            $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'delete_moderator',
                id: id,
                hash: login_hash
            }, function (data) {
                if (data == 'ok') {
                    $("#" + id).remove();
                    Alert_popup('Модератор удален.', 'Информация')
                } else if (data == 'die') {
                    Alert_popup('Обнаружена ошибка.', 'Информация');
                }
            });
        });
    } else if (action == 'advertising') {
        BEconfirm('Вы действительно хотите удалить этот блок рекламы?', 'Подтверждение', function () {
            $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'delete_advertising',
                id: id,
                hash: login_hash
            }, function (data) {
                if (data == 'ok') {
                    $("#" + id).remove();
                    Alert_popup('Блок рекламы удален удален.', 'Информация')
                } else if (data == 'die') {
                    Alert_popup('Обнаружена ошибка.', 'Информация');
                }
            });
        });
    }
}

function Recount(action, bot) {
    BEconfirm('Вы действительно хотите запустить функцию пересчета?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'recount_' + action,
            hash: login_hash
        }, function (data) {
            if (data == 'ok') {

                Alert_popup('Параметры обнавлены.', 'Информация')
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}

function clearCache() {
    BEconfirm('Вы действительно хотите запустить функцию удаления кеша?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_all_cashe',
            hash: login_hash
        }, function (data) {
            if (data == 'ok') {

                Alert_popup('Кеш удален.', 'Информация')
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }

        });
    });
}

function deleteComplain(id) {
    BEconfirm('Вы действительно хотите удалить эту жалобу?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_complain',
            hash: login_hash,
            id: id
        }, function (data) {
            if (data == 'ok') {

                window.location.reload(true)
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}

function deletePost(id) {
    BEconfirm('Вы действительно хотите удалить это сообщение?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_post',
            hash: login_hash,
            id: id
        }, function (data) {
            if (data == 'ok') {

                window.location.reload(true)
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}

function sendenTopic(startfrom) {
    $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
        startfrom: startfrom,
        hash: login_hash,
        be_action: 'recount_topic_last'
    }, function (data) {
        if (data) {
            if (data.status == "ok") {
                $('#paramTopicCount').css("display", "block");
                $('#topic_count').html(data.limitcount);
                $('#count').val(data.limitcount);
                var proc = Math.round((100 * data.limitcount) / total);
                if (proc > 100) proc = 100;
                $('#progressbar').progressbar("option", "value", proc);
                if (data.limitcount >= total) {
                    $('#progress').html('Обработка успешно завершена');
                    $('#recount_buttonn_topic').removeAttr('disabled');
                    $('#recount_buttonn_topic').html('Обновить');
                    $('#paramTopicCount').css("display", "none");
                    $('#count').val(0);
                } else {
                    setTimeout("sendenTopic(" + data.limitcount + ")", 3000);
                }
            }
        }
    }, "json");

    return false;
}

function BEconfirm(message, title, callback) {
    var b = {};
    b[popup_no] = function () {
        $(this).dialog("close");
        $("#bepopup").remove();
    };
    b[popup_yes] = function () {
        $(this).dialog("close");
        $("#bepopup").remove();
        if (callback) callback();
    };
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "</div>");
    $('#bepopup').dialog({
        autoOpen: true,
        width: 470,
        buttons: b
    });
};

function TreeDell() {
    var id = $('input:radio[name=tree]:checked').val();
    var type = $('input:radio[name=tree]:checked').attr("uid");
    if (!id) {
        Alert_popup('Не выбран узел для удаления', 'Информация');
        return false;
    }
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='Подтверждение' style='display:none'><br>Вы хотите удалить узел <b>«" + $('#tree_' + id).attr("rel") + "»</b> из базы данных форума, выберите раздел куда будут перемещены темы и сообщения, нечего не выбирайте если хотите удалить все данные из этого узла.<div id='treeSelecte'></div></div>");
    $("#treeRemove").clone(true).insertAfter("#treeSelecte");
    $('#bepopup').dialog({
        autoOpen: true,
        show: 'fade',
        width: 500,
        buttons: {
            "Нет": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
            },
            "Да": function () {
                $(this).dialog("close");
                $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                    be_action: 'tree_delete',
                    id: id,
                    hash: login_hash,
                    id_remove: $("#bepopup select[name=treeRemove] option:selected").val()
                }, function (data) {
                    if (data == 'ok') {
                        window.location.reload(true);
                    } else if (data == 'die') {
                        Alert_popup('Обнаружена ошибка.', 'Информация');
                    }
                });
            }

        }
    });
    return false;
};

function CatSelection(type) {
    $("#prefix").css('display', 'none');
    $("#parent").css('display', 'none');
    $("#typed").css('display', 'none');
    $("#rules").css('display', 'none');
    $("#passworld").css('display', 'none');
    $("#table_access").css('display', 'none');
    $("#aprove").css('display', 'none');
    $("#info_parent").css('display', 'none');
    $("#rules_titl").css('display', 'none');
    $("#counts").css('display', 'none');
    if (type == 'cat') {
        $("input[class=access_new_topic]").attr('disabled', 'disabled');
        $("input[class=access_replic_topic]").attr('disabled', 'disabled');
        $("input[class=access_read_topic]").attr('disabled', 'disabled');
        $("#table_access").css('display', 'block');
        $("#info_parent").css('display', 'block');
    } else if (type == 'sub_cat') {
        $("input[class=access_new_topic]").removeAttr('disabled');
        $("input[class=access_replic_topic]").removeAttr('disabled');
        $("input[class=access_read_topic]").removeAttr('disabled');
        $("input[class=access_new_topic][value='5']").attr('disabled', 'disabled');
        $("input[class=access_replic_topic][value='5']").attr('disabled', 'disabled');
        $("#prefix").css('display', 'block');
        $("#parent").css('display', 'block');
        $("#rules").css('display', 'block');
        $("#counts").css('display', 'block');
        $("#table_access").css('display', 'block');
        $("#passworld").css('display', 'none');
        $("#aprove").css('display', 'block');
        $("#rules_titl").css('display', 'block');
    } else if (type == 'linck_cat') {
        $("input[class=access_new_topic]").attr('disabled', 'disabled');
        $("input[class=access_replic_topic]").attr('disabled', 'disabled');
        $("input[class=access_read_topic]").attr('disabled', 'disabled');
        $("#typed").css('display', 'block');
        $("#parent").css('display', 'block');
        $("#table_access").css('display', 'block');
        $("#aprove").css('display', 'block');
    }
}

function moderatorSelect(type) {
    if (type == 'super') {
        $("select[id=tree]").attr('disabled', 'disabled');
    } else if (type == 'tree') {
        $("select[id=tree]").removeAttr('disabled');
    }
}

function CheckRadioButtom(param, value) {
    $("input[name^='" + param + "'][value='" + value + "']").attr('checked', true);
}

function BEprompt(message, d, title, callback, allowempty) {
    var b = {};
    b[bb_act_lang[3]] = function () {
        $(this).dialog("close");
    };
    b[bb_act_lang[2]] = function () {
        if (!allowempty && $("#bepopup-promt-text").val().length < 1) {
            $("#bepopup-promt-text").addClass('ui-state-error');
        } else {
            var response = $("#bepopup-promt-text").val()
            $(this).dialog("close");
            $("#bepopup").remove();
            if (callback) callback(response);
        }
    };
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "<br /><br /><input type='text' name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%; padding: .4em;' value='" + d + "'/></div>");
    $('#bepopup').dialog({
        autoOpen: true,
        width: 470,
        buttons: b
    });
};